/* ---------- Variables ---------- */
$eco-yellow-light: #F4D600;
$eco-yellow-dark: #EAAF31;
$eco-yellow-lighter: #faf090;
$grey-lighter-color: #EEEEEE;
$grey-light-color: #999999;
$grey-color: #666666;
$grey-dark-color: #333333;

/* ---------- Customization for Valo ---------- */
$v-background-color: white;

$v-focus-color: $eco-yellow-light;

$v-line-height: 20px;

$v-font-size: 13px;

$v-font-weight: 400;

$v-font-family: "Open Sans", Helvetica, Arial, Verdana, sans-serif;

$v-font-color: black;

$v-border-radius: 0px;

$v-focus-style: $eco-yellow-light;

$v-caption-font-size: 11px;

$v-caption-font-weight: 800;

/**
 * A flag to note whether relative URL paths are relative to the currently parsed SCSS file or to the compilation root file.
 * The Vaadin compiler parses URL paths differently than the regular Sass compiler (i.e. Vaadin modifies relative url paths).
 * This boolean is used to flag which compiler is used, so that paths are correct for different resources.
 * false == Ruby, true == Vaadin
 *
 * @type bool
 */
$v-relative-paths: false;

/* Import valo after setting the parameters */
@import "valo";

.eco {
	@include valo;
	
	/* ---------- Corrections ---------- */
	.v-caption {
		padding-bottom: 0px;
		color: $eco-yellow-dark;
	}
	
	.v-textarea {
		margin-bottom: 10px;
	}
	
	.v-datefield {
		height: auto;
		margin-bottom: 10px;
		
		[class*="textfield"] {
			height: auto;
			line-height: 20px;
			padding: 4px 6px;
			padding-left: 36px;
			color: black;
		}
	}
	
	.v-filterselect {
		margin-bottom: 10px;
		
		[class*="input"] {
			height: auto;
			line-height: 20px;
			padding: 4px 6px;
			color: black;
		}
	}
	
	/* ---------- Labels styles ---------- */
	.v-label {
		margin-bottom: 10px;
		
		&.v-label-h1 {
			margin-bottom: 15px;
			font-size: 38px;
			font-weight: 200;
		}
		
		&.v-label-h2 {
			margin-bottom: 15px;
			font-size: 26px;
			font-weight: 200;
		}
		
		&.v-label-h3 {
			margin-bottom: 15px;
			font-size: 18px;
			font-weight: 400;
		}
		
		&.formatted {
			white-space: pre-line;
		}
	}
	
	.v-csslayout > h1:first-child, 
	.v-csslayout > h2:first-child, 
	.v-csslayout > h3:first-child, 
	.v-csslayout > h4 > .v-label-h1:first-child, 
	.v-csslayout > .v-label-h2:first-child, 
	.v-csslayout > .v-label-h3:first-child, 
	.v-csslayout > .v-label-h4:first-child {
		margin-top: 20px;
	}
	
	/* ---------- Button styles ---------- */
	.v-button {
		margin-top: 15px;
		border: 1px solid $eco-yellow-light;
		background: $grey-lighter-color;
		-webkit-box-shadow: none;
		box-shadow: none;
		text-shadow: none;
		
		.v-button-wrap {
			.v-button-caption {
				color: $grey-dark-color;
			}
		}
		
		&:hover {
			background: $eco-yellow-lighter;
		}
		
		&.v-disabled:hover {
			background: $grey-lighter-color;
		}
	}
	
	/* ---------- Table styles ---------- */
	.v-table {
		margin-top: 10px;
		color: black;
		
		.v-table-header-wrap {
			color: $grey-color;
			font-weight: bolder;
			
			.v-table-header {
				table {
					-webkit-box-shadow: none;
					box-shadow: none;
				}
			
				td.v-table-header-cell {
					padding: 0px;
				}
			}
		}
		
		.v-table-body-wrapper.v-table-body {
			table {
				.v-table-cell-content {
					height: auto;
					border-left-width: 0px;
				}
				
				td {
					padding-top: 7px;
					padding-bottom: 7px;
					background: transparent;
					vertical-align: middle;
				}
			}
		}
		
		/* Styled outside the ".v-table-body-wrapper" block, won't override the selected row style  */
		.v-table-row {
			background: white;
		}
		
		/* Styled outside the ".v-table-body-wrapper" block, won't override the selected row style  */
		.v-table-row-odd {
			background: whitesmoke;
		}
	
		.v-table-footer-wrap {
			color: $grey-color;
			font-weight: bolder;
			
			.v-table-footer {
				table {
					-webkit-box-shadow: none;
					box-shadow: none;
				}
			}
		}
		
		.v-table-header-drag {
			color: $grey-color;
			font-weight: bolder;
		}
		
		&.v-table-table {
			-webkit-box-shadow: none;
			box-shadow: none;
		}
	}
	
	/* ---------- Progress bar styles ---------- */
	.v-progressbar {
		.v-progressbar-wrapper {
			height: 5px;
			background: $grey-light-color;
			
			.v-progressbar-indicator {
				border: 1px solid $eco-yellow-dark;
				background-color: $eco-yellow-dark;
			}
		}
	}

	/* ---------- Scaled image styles ---------- */
	.h-scaled-image {
		margin-bottom: 10px;
		background: $v-background-color;
		
		&.with-borders {
			border: 1px solid $grey-light-color;
		}
		
		&.without-background {
			background: transparent;
		}
		
		.h-image {
			max-width: 98%;
			max-height: 98%;
		}
	}
	
	/* ---------- Popup styles ---------- */
	.v-window.h-popup {
		&.small {
			width: 30%;
		}
		
		&.medium {
			width: 45%;
		}
		
		&.big {
			width: 75%;
		}
		
		&.full {
			width: 98%;
		}
	
		.v-window-wrap {
			padding-bottom: 20px;
			
			.v-window-outerheader {
				margin-top: 20px;
				margin-bottom: 10px;
				
				&:after {
					border-width: 0px;
				}

				.v-window-header {
					padding-left: 20px;
					line-height: 1.1;
					color: black;
					font-size: 26px;
					font-weight: 200;
				}
			}
			
			.v-window-maximizebox {
				margin-top: 20px;
				margin-bottom: 10px;
			}
			
			.v-window-closebox {
				margin-top: 20px;
				margin-bottom: 10px;
				padding-right: 20px;
			}
			
			.v-window-contents {
				
			}
		}
	}
	
	/* ---------- Notification styles ---------- */
	.v-Notification {
		background: white;
		-webkit-box-shadow: 0px 5px 15px 0px $grey-color;
		box-shadow: 0px 5px 15px 0px $grey-color;
		
		&.v-position-top {
			top: 20px;
		}
		
		&.v-position-left {
			left: 20px;
		}
		
		&.v-position-right {
			right: 20px;
		}
		
		&.v-position-bottom {
			bottom: 20px;
		}
		
		h1 {
			display: block;
			font-size: 18px;
			
			~ p {
				margin-top: 10px;
				margin-left: 0px;
			}
		}
	}
	
	/* ---------- Stacked bar styles ---------- */
	.h-single-stacked-bar {
		padding: 0px;
		
		.h-stacked-bar-container {
			background: $grey-lighter-color;
			
			.h-bar-value-container {
				height: 100%;
				border-right: 1px solid $grey-color;
				background: #EEEEEE;
				
				&.success {
					background: #DFF0D8;
				}

				&.error {
					background: #F2DEDE;
				}

				&.warning {
					background: #FCF8E3;
				}

				&.info {
					background: #D9EDF7;
				}
			}
		}
		
		.h-footer-row-container {
			.h-footer-legend {
				height: 100%;
				padding-right: 10px;
				margin-bottom: 0px;
				color: $grey-color;
				font-size: $v-caption-font-size;
				font-weight: $v-caption-font-weight;
				
				&.border-right {
					border-right: 1px solid $grey-color;
				}
			}
		}
	}

	/* ---------- Masonry grid styles ---------- */
	.h-masonry-grid {
		padding-top: 0px !important;
	
		.v-panel-captionwrap {
			position: absolute;
			height: 30px;
			margin-top: 0px !important;
			z-index: 200;
			
			.v-panel-nocaption {
				display: table-cell;
				position: relative;
				height: 30px;
				width: 30px;
				padding: 0px;
				border: 0px;
				background: $v-focus-color;
				color: $v-background-color;
				text-align: center;
				vertical-align: middle;
				z-index: 200;
				box-shadow: none;
				-webkit-box-shadow: none;
				border-radius: 0px;
				
				span {
					padding: 0;
					margin: 0;
					color: $v-background-color;
					font-size: 16px;
					font-weight: 200;
					line-height: 20px;
					text-shadow: none;
				}
			}
		}
		
		.v-panel-content.v-panel-content-h-masonry-grid {
/* 			top: -34px; */
		}
		
		.masonry-container {
			.masonry-item {
				margin-bottom: 10px;
				background: $grey-lighter-color;
			
				&.header {
					width: 100%;
					height: 30px;
					max-width: 100%;
					background: transparent;
				
					.jump-indicator {
						display: table-cell;
						position: relative;
						height: 30px;
						width: 30px;
						background: $v-focus-color;
						color: $v-background-color;
						text-align: center;
						vertical-align: middle;
						
						&.a {
							z-index: 100;
						}
						
						&.b {
							z-index: 101;
						}
						
						&.c {
							z-index: 102;
						}
						
						&.d {
							z-index: 103;
						}
						
						&.e {
							z-index: 104;
						}
						
						&.f {
							z-index: 105;
						}
						
						&.g {
							z-index: 106;
						}
						
						&.h {
							z-index: 107;
						}
						
						&.i {
							z-index: 108;
						}
						
						&.j {
							z-index: 109;
						}
						
						&.k {
							z-index: 109;
						}
						
						&.l {
							z-index: 110;
						}
						
						&.m {
							z-index: 111;
						}
						
						&.n {
							z-index: 112;
						}
						
						&.o {
							z-index: 113;
						}
						
						&.p {
							z-index: 114;
						}
						
						&.q {
							z-index: 115;
						}
						
						&.r {
							z-index: 116;
						}
						
						&.s {
							z-index: 117;
						}
						
						&.t {
							z-index: 118;
						}
						
						&.u {
							z-index: 119;
						}
						
						&.v {
							z-index: 120;
						}
						
						&.w {
							z-index: 121;
						}
						
						&.x {
							z-index: 122;
						}
						
						&.y {
							z-index: 123;
						}
						
						&.z {
							z-index: 124;
						}
					}
				}
			}
		}
	}
	
	/* ---------- Flowplayer styles ---------- */
	.h-flowplayer {
		.fp-player {
			background: #333333;
			
			.fp-engine {
				margin-bottom: 0px;
			}
			
			.fp-ui {
				.fp-fullscreen {
					color: $eco-yellow-light !important;
				}
				
				.fp-unload {
					color: $eco-yellow-light !important;
				}
				
				.fp-controls {
					.fp-play {
						color: $eco-yellow-light !important;
					}
					
					.fp-timeline {
						.fp-buffer {
						}
						
						.fp-progress {
							background-color: $eco-yellow-light;
						}
					}
					
					.fp-volume {
						.fp-mute {
							color: $eco-yellow-light !important;
						}
						
						.fp-volumeslider {
							.fp-volumelevel {
								background-color: $eco-yellow-light;
							}
						}
					}
					
					.fp-menu {
						color: $eco-yellow-light !important;
					}
				}
			}
		}
		
		&.is-mouseout {
			.fp-controls {
				height: 4px;
			}
		}
	}
	
	/* ---------- Education dashboard styles ---------- */
	.container-fluid.content-tile {
		border: 2px solid $grey-light-color;
		
		.v-csslayout {
			&.span3 {
				min-height: 20px;
				
				.v-label {
					color: $eco-yellow-dark;
					font-size: $v-caption-font-size;
					font-weight: $v-caption-font-weight; 
				}
			}
			
			&.span9 {
				min-height: 20px;
				
				.v-label {
					color: $eco-yellow-dark;
					font-size: $v-caption-font-size;
					font-weight: $v-caption-font-weight; 
				}
			}
			
			&.span12 {
				.v-label {
					margin-top: 5px;
				}
			}
		}
		
		.v-label {
			margin-bottom: 5px;
		}
	}
	
	/* ---------- Education version grid styles ---------- */
	.v-panel.version-grid {
		margin-bottom: 20px;
		
		.v-gridlayout {
			.v-csslayout.container-fluid {
				background: $grey-lighter-color;
				
				.v-label {
					margin-top: 10px;
					
					&.h3 {
						margin-top: 0px;
					}
				}
			}
			
			.v-csslayout.version-line {
				margin-top: 12px;
				background: $grey-lighter-color;
			}
		}
	}
	
	/* ---------- Education rule grid styles ---------- */
	.v-panel.rule-grid {
		margin-bottom: 20px;
		
		.v-label.h3 {
			margin-top: 15px;
			margin-bottom: 15px;
		}
		
		.v-widget.v-ddwrapper {
			background: $grey-lighter-color;
			
			.v-csslayout {
				&.rule-item {
				
					.v-csslayout {
						height: 100%;
						
						.v-label {
							display: table-cell;
							margin-bottom: 0px;
							vertical-align: middle;
						}
						
						&.span4 {
							display: table !important;
						}
						
						&.span7 {
							display: table !important;
						}
						
						&.span11 {
							display: table !important;
						}
					}
				}
			
				&.drop-placeholder {
					background: white;
					border: 3px solid $grey-lighter-color;
				}
			}
		}
	}
	
	/* ---------- Education edit text view styles ---------- */
	.v-ddwrapper {
		&.dnd-item {
			.h-scaled-image {
				margin-top: 10px;
			
				.h-image {
					max-height: 65%;
				}
			}
		}
	
		&.layout-drop-container {
			margin-bottom: 10px;
			background: $grey-light-color;
			z-index: 50;
		}
	}
	
	.container-fluid.dnd-item-container {
		margin: 5px 0px;
		border: 2px solid $grey-light-color;
		background: white;
		
		.v-label {
			margin-top: 8px;
			color: $eco-yellow-dark;
			font-size: $v-caption-font-size;
			font-weight: $v-caption-font-weight;
		}
		
		.v-button {
			padding: 0px;
			margin-top: 5px;
		}
	}
	
	.v-table.table-content {
	
	}
	
	.container-fluid.course-tile {
		background: $grey-lighter-color;
		
		.v-csslayout {
			&.title {
				.v-label.h3 {
					margin: 10px 0px;
				}
			}
			
			&.subtitle {
				margin-bottom: 0px;
				min-height: 20px;
			}
			
			&.version {
				.v-label {
					color: $eco-yellow-dark;
					font-size: $v-caption-font-size;
					font-weight: $v-caption-font-weight; 
				}
			}
			
			&.progress-bar {
				padding-top: 8px;
			}
			
			&.progress-value {
				.v-label {
					color: $eco-yellow-dark;
					font-size: $v-caption-font-size;
					font-weight: $v-caption-font-weight; 
				}
			}
		}
	}	
}
